aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Thomas Capricelli <orzel@freehackers.org>2010-01-22 19:26:29 +0100
committerGravatar Thomas Capricelli <orzel@freehackers.org>2010-01-22 19:26:29 +0100
commitd08035f3e125d2d21cf7f254572e8fc1fd7889a8 (patch)
treeade8c1f821d8592aa580d5733678ee2044c5197e /scripts
parentbe11a254acda119dc65b5f5af2a94275fa7caa81 (diff)
fix the script again (definitely?) + cleaning
Diffstat (limited to 'scripts')
-rw-r--r--scripts/eigen_gen_docs10
1 files changed, 3 insertions, 7 deletions
diff --git a/scripts/eigen_gen_docs b/scripts/eigen_gen_docs
index f6727eff1..4c9214e51 100644
--- a/scripts/eigen_gen_docs
+++ b/scripts/eigen_gen_docs
@@ -8,16 +8,12 @@ USER=${USER:-'orzel'}
# step 1 : build
# todo if 'build is not there, create one:
#mkdir build
-(cd build && cmake .. && make -j3 doc) || echo "make failed"; exit 1
+(cd build && cmake .. && make -j3 doc) || { echo "make failed"; exit 1; }
#todo: n+1 where n = number of cpus
#step 2 : upload
-BRANCH=`hg branch`
-if [ $BRANCH == "default" ]
-then
- BRANCH='devel'
-fi
# (the '/' at the end of path are very important, see rsync documentation)
-rsync -az build/doc/html/ $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/dox-$BRANCH/ || (echo "upload failed"; exit 1)
+rsync -az build/doc/html/ $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/dox-devel/ || { echo "upload failed"; exit 1; }
+echo "Uploaded successfully"